#include "cardfile.h"
using namespace std;
int main (int argc, char *argv[])
{
	CmdLineOptions (argc, argv);
	return 0;
}

void CmdLineOptions (int argc, char *argv[])
{
	FILE *fileptr = fopen (argv[1], "rb");

	switch (argc)
	{
//		case 2:
//			break;
		case 3:
		{
			if (strcmp (argv[2], "-c") == 0) {
				switch (GetFileType (fileptr))
				{
					case 0:
					case 1:
					case 2:
						cout << "Versin del archivo: " << GetFileType (fileptr) << "." << endl;
						break;
					default:
						cout << "Error: archivo no compatible." << endl;
						break;
				}
			}
			else if (strcmp (argv[2], "-l") == 0) {
				if (GetLastObjectId (fileptr) >= 0)
					cout << "Ultimo id de objeto registrado: " << GetLastObjectId (fileptr) << "." << endl;
				else
					cout << "Error: no se pudo abrir el archivo, el archivo no es de un tipo vlido o no es compatible con esta caracteristica." << endl;
			}
			else if (strcmp (argv[2], "-n") == 0) {
				if (GetCardsCount (fileptr) >= 1)
					cout << "Nmero de tarjetas encontradas: " << GetCardsCount (fileptr) << "." << endl;
				else
					cout << "Error: no se pudo abrir el archivo, el archivo no es de un tipo vlido." << endl;
			}
			else if (strcmp (argv[2], "-i") == 0)
				cout << "Error: debe especificar el nmero de tarjeta." << endl;
			else
				cout << "Error: parmetro desconocido " << argv[2] << "." << endl;
		}
			break;
		case 4:
		{
			if (strcmp (argv[2], "-i") == 0) {
				PINDEX index;
				LoadCardNumberInfo (fileptr, atoi (argv[3]));
				cout << "Tarjeta num. " << argv[3] << index->index_title << endl;
				cout << "[INFO] Posicin de los datos asociados en el archivo: " << "0x" << index->card_data_pos << endl;
			}
			else
				cout << "Error: parmetro desconocido " << argv[2] << "." << endl;
		}
			break;
		default:
			break;
	}
	fclose (fileptr);
}